yum Missing Dependency

Posted by 6bytes at 20, August, 2009

Category: CentOS, Linux

Problem

Sometimes after running yum update or yum install something you’re getting missing dependency error messages. Like this:

--> Missing Dependency: /usr/lib64/python2.4 is needed by package
gamin-python-0.1.7-8.el5.x86_64 (installed)
--> Missing Dependency: /usr/lib64/python2.4 is needed by package
libxml2-python-2.6.26-2.1.2.8.x86_64 (installed)

This means that some other package needs to be installed in order to install the one you want. If you have all dependencies installed and you’re still getting those messages all you need to do is clean yum’s cache.

Solution

Run one of these (taken from yum manual):

The following are the ways which you can invoke yum in clean mode. Note that “all files” in the commands below means “all files in currently enabled repositories”. If you want to also clean any (temporarily) disabled repositories you need to use –enablerepo=’*’ option.

yum clean packages

Eliminate any cached packages from the system. Note that packages are not automatically deleted after they are downloaded.

yum clean headers

Eliminate all of the header files which yum uses for dependency resolution.

yum clean metadata

Eliminate all of the files which yum uses to determine the remote availability of packages. Using this option will force yum to download all the metadata the next time it is run.

yum clean dbcache

Eliminate the sqlite cache used for faster access to metadata. Using this option will force yum to recreate the cache the next time it is run.

yum clean all

Runs yum clean packages and yum clean headers, yum clean metadata and yum clean dbcache as above.

Now run again your yum update or any other yum install command and it should be fine.

  • Malott21

    Thank you so much!!!! ๐Ÿ™‚ I am so happy becasue you helped me. I installed vlc player finally becasue this worked and because of this solution.

    OMG THANK YOU! ๐Ÿ™‚

  • Fana

    Thank you – that helped me today. ๐Ÿ˜‰